VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Functions | Variables
Speaker Arrangements

## Functions
int32 | getChannelCount (SpeakerArrangement arr)
| Returns number of channels used in speaker arrangement. More...
int32 | getSpeakerIndex (Speaker speaker, SpeakerArrangement arrangement)
| Returns the index of a given speaker in a speaker arrangement (-1 if speaker is not part of the arrangement). More...
Speaker | getSpeaker (const SpeakerArrangement &arr, int32 index)
| Returns the speaker for a given index in a speaker arrangement (return 0 when out of range). More...
bool | isSubsetOf (const SpeakerArrangement &arrSubSet, const SpeakerArrangement &arr)
| Returns true if arrSubSet is a subset speaker of arr (means each speaker of arrSubSet is included in arr). More...
bool | isAuro (const SpeakerArrangement &arr)
| Returns true if arrangement is a Auro configuration. More...
bool | isAmbisonics (const SpeakerArrangement &arr)
| Returns true if arrangement is a Auro configuration. More...
SpeakerArrangement | getSpeakerArrangementFromString (CString arrStr)
| Returns the speaker arrangement associated to a string representation. More...
CString | getSpeakerArrangementString (SpeakerArrangement arr, bool withSpeakersName)
| Returns the string representation of a given speaker arrangement. More...
CString | getSpeakerShortName (const SpeakerArrangement &arr, int32 index)
| Returns a CString representation of a given speaker in a given arrangement. More...

## Variables
const Speaker | kSpeakerL = 1 << 0
| Speaker Definitions. More...
const Speaker | kSpeakerR = 1 << 1
| Right (R) More...
const Speaker | kSpeakerC = 1 << 2
| Center (C) More...
const Speaker | kSpeakerLfe = 1 << 3
| Subbass (Lfe) More...
const Speaker | kSpeakerLs = 1 << 4
| Left Surround (Ls) More...
const Speaker | kSpeakerRs = 1 << 5
| Right Surround (Rs) More...
const Speaker | kSpeakerLc = 1 << 6
| Left of Center (Lc) - Front Left Center. More...
const Speaker | kSpeakerRc = 1 << 7
| Right of Center (Rc) - Front Right Center. More...
const Speaker | kSpeakerS = 1 << 8
| Surround (S) More...
const Speaker | kSpeakerCs = kSpeakerS
| Center of Surround (Cs) - Back Center - Surround (S) More...
const Speaker | kSpeakerSl = 1 << 9
| Side Left (Sl) More...
const Speaker | kSpeakerSr = 1 << 10
| Side Right (Sr) More...
const Speaker | kSpeakerTc = 1 << 11
| Top Center Over-head, Top Middle (Tc) More...
const Speaker | kSpeakerTfl = 1 << 12
| Top Front Left (Tfl) More...
const Speaker | kSpeakerTfc = 1 << 13
| Top Front Center (Tfc) More...
const Speaker | kSpeakerTfr = 1 << 14
| Top Front Right (Tfr) More...
const Speaker | kSpeakerTrl = 1 << 15
| Top Rear/Back Left (Trl) More...
const Speaker | kSpeakerTrc = 1 << 16
| Top Rear/Back Center (Trc) More...
const Speaker | kSpeakerTrr = 1 << 17
| Top Rear/Back Right (Trr) More...
const Speaker | kSpeakerLfe2 = 1 << 18
| Subbass 2 (Lfe2) More...
const Speaker | kSpeakerM = 1 << 19
| Mono (M) More...
const Speaker | kSpeakerACN0 = (Speaker)1 << 20
| Ambisonic ACN 0. More...
const Speaker | kSpeakerACN1 = (Speaker)1 << 21
| Ambisonic ACN 1. More...
const Speaker | kSpeakerACN2 = (Speaker)1 << 22
| Ambisonic ACN 2. More...
const Speaker | kSpeakerACN3 = (Speaker)1 << 23
| Ambisonic ACN 3. More...
const Speaker | kSpeakerACN4 = (Speaker)1 << 38
| Ambisonic ACN 4. More...
const Speaker | kSpeakerACN5 = (Speaker)1 << 39
| Ambisonic ACN 5. More...
const Speaker | kSpeakerACN6 = (Speaker)1 << 40
| Ambisonic ACN 6. More...
const Speaker | kSpeakerACN7 = (Speaker)1 << 41
| Ambisonic ACN 7. More...
const Speaker | kSpeakerACN8 = (Speaker)1 << 42
| Ambisonic ACN 8. More...
const Speaker | kSpeakerACN9 = (Speaker)1 << 43
| Ambisonic ACN 9. More...
const Speaker | kSpeakerACN10 = (Speaker)1 << 44
| Ambisonic ACN 10. More...
const Speaker | kSpeakerACN11 = (Speaker)1 << 45
| Ambisonic ACN 11. More...
const Speaker | kSpeakerACN12 = (Speaker)1 << 46
| Ambisonic ACN 12. More...
const Speaker | kSpeakerACN13 = (Speaker)1 << 47
| Ambisonic ACN 13. More...
const Speaker | kSpeakerACN14 = (Speaker)1 << 48
| Ambisonic ACN 14. More...
const Speaker | kSpeakerACN15 = (Speaker)1 << 49
| Ambisonic ACN 15. More...
const Speaker | kSpeakerTsl = 1 << 24
| Top Side Left (Tsl) More...
const Speaker | kSpeakerTsr = 1 << 25
| Top Side Right (Tsr) More...
const Speaker | kSpeakerLcs = 1 << 26
| Left of Center Surround (Lcs) - Back Left Center. More...
const Speaker | kSpeakerRcs = 1 << 27
| Right of Center Surround (Rcs) - Back Right Center. More...
const Speaker | kSpeakerBfl = 1 << 28
| Bottom Front Left (Bfl) More...
const Speaker | kSpeakerBfc = 1 << 29
| Bottom Front Center (Bfc) More...
const Speaker | kSpeakerBfr = 1 << 30
| Bottom Front Right (Bfr) More...
const Speaker | kSpeakerPl = (Speaker)1 << 31
| Proximity Left (Pl) More...
const Speaker | kSpeakerPr = (Speaker)1 << 32
| Proximity Right (Pr) More...
const Speaker | kSpeakerBsl = (Speaker)1 << 33
| Bottom Side Left (Bsl) More...
const Speaker | kSpeakerBsr = (Speaker)1 << 34
| Bottom Side Right (Bsr) More...
const Speaker | kSpeakerBrl = (Speaker)1 << 35
| Bottom Rear Left (Brl) More...
const Speaker | kSpeakerBrc = (Speaker)1 << 36
| Bottom Rear Center (Brc) More...
const Speaker | kSpeakerBrr = (Speaker)1 << 37
| Bottom Rear Right (Brr) More...
const SpeakerArrangement | kEmpty = 0
| Speaker Arrangement Definitions. More...
const SpeakerArrangement | kMono = kSpeakerM
| M. More...
const SpeakerArrangement | kStereo = kSpeakerL | kSpeakerR
| L R. More...
const SpeakerArrangement | kStereoSurround = kSpeakerLs | kSpeakerRs
| Ls Rs. More...
const SpeakerArrangement | kStereoCenter = kSpeakerLc | kSpeakerRc
| Lc Rc. More...
const SpeakerArrangement | kStereoSide = kSpeakerSl | kSpeakerSr
| Sl Sr. More...
const SpeakerArrangement | kStereoCLfe = kSpeakerC | kSpeakerLfe
| C Lfe. More...
const SpeakerArrangement | kStereoTF = kSpeakerTfl | kSpeakerTfr
| Tfl Tfr. More...
const SpeakerArrangement | kStereoTS = kSpeakerTsl | kSpeakerTsr
| Tsl Tsr. More...
const SpeakerArrangement | kStereoTR = kSpeakerTrl | kSpeakerTrr
| Trl Trr. More...
const SpeakerArrangement | kStereoBF = kSpeakerBfl | kSpeakerBfr
| Bfl Bfr. More...
const SpeakerArrangement | k30Cine = kSpeakerL | kSpeakerR | kSpeakerC
| L R C. More...
const SpeakerArrangement | k30Music = kSpeakerL | kSpeakerR | kSpeakerS
| L R S. More...
const SpeakerArrangement | k31Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe
| L R C Lfe. More...
const SpeakerArrangement | k31Music = kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerS
| L R Lfe S. More...
const SpeakerArrangement | k40Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerS
| L R C S (LCRS) More...
const SpeakerArrangement | k40Music = kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs
| L R Ls Rs (Quadro) More...
const SpeakerArrangement | k41Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerS
| L R C Lfe S (LCRS+Lfe) More...
const SpeakerArrangement | k41Music = kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerLs | kSpeakerRs
| L R Lfe Ls Rs (Quadro+Lfe) More...
const SpeakerArrangement | k50 = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs
| L R C Ls Rs. More...
const SpeakerArrangement | k51 = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs
| L R C Lfe Ls Rs. More...
const SpeakerArrangement | k60Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerCs
| L R C Ls Rs Cs. More...
const SpeakerArrangement | k60Music = kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr
| L R Ls Rs Sl Sr. More...
const SpeakerArrangement | k61Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs
| L R C Lfe Ls Rs Cs. More...
const SpeakerArrangement | k61Music = kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr
| L R Lfe Ls Rs Sl Sr. More...
const SpeakerArrangement | k70Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc
| L R C Ls Rs Lc Rc. More...
const SpeakerArrangement | k70Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr
| L R C Ls Rs Sl Sr. More...
const SpeakerArrangement | k71Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc
| L R C Lfe Ls Rs Lc Rc. More...
const SpeakerArrangement | k71CineFullFront = k71Cine
const SpeakerArrangement | k71CineFullRear = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLcs | kSpeakerRcs
| L R C Lfe Ls Rs Lcs Rcs. More...
const SpeakerArrangement | k71Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr
| L R C Lfe Ls Rs Sl Sr. More...
const SpeakerArrangement | k71CineSideFill = k71Music
const SpeakerArrangement | k71Proximity = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerPl | kSpeakerPr
| L R C Lfe Ls Rs Pl Pr. More...
const SpeakerArrangement | k80Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc | kSpeakerCs
| L R C Ls Rs Lc Rc Cs. More...
const SpeakerArrangement | k80Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerSl | kSpeakerSr
| L R C Ls Rs Cs Sl Sr. More...
const SpeakerArrangement | k81Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc | kSpeakerCs
| L R C Lfe Ls Rs Lc Rc Cs. More...
const SpeakerArrangement | k81Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerSl | kSpeakerSr
| L R C Lfe Ls Rs Cs Sl Sr. More...
const SpeakerArrangement | kAmbi1stOrderACN = kSpeakerACN0 | kSpeakerACN1 | kSpeakerACN2 | kSpeakerACN3
| First-Order with Ambisonic Channel Number (ACN) ordering and SN3D normalization. More...
const SpeakerArrangement | kAmbi2cdOrderACN = kAmbi1stOrderACN | kSpeakerACN4 | kSpeakerACN5 | kSpeakerACN6 | kSpeakerACN7 | kSpeakerACN8
| Second-Order with Ambisonic Channel Number (ACN) ordering and SN3D normalization. More...
const SpeakerArrangement | kAmbi3rdOrderACN = kAmbi2cdOrderACN | kSpeakerACN9 | kSpeakerACN10 | kSpeakerACN11 | kSpeakerACN12 | kSpeakerACN13 | kSpeakerACN14 | kSpeakerACN15
| Third-Order with Ambisonic Channel Number (ACN) ordering and SN3D normalization. More...
const SpeakerArrangement | k80Cube = kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs | kSpeakerTfl| kSpeakerTfr| kSpeakerTrl | kSpeakerTrr
| L R Ls Rs Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k71CineTopCenter = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerTc
| L R C Lfe Ls Rs Cs Tc. More...
const SpeakerArrangement | k71CineCenterHigh = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerTfc
| L R C Lfe Ls Rs Cs Tfc. More...
const SpeakerArrangement | k71CineFrontHigh = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerTfl | kSpeakerTfr
| L R C Lfe Ls Rs Tfl Tfr. More...
const SpeakerArrangement | k71MPEG3D = k71CineFrontHigh
const SpeakerArrangement | k71CineSideHigh = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerTsl | kSpeakerTsr
| L R C Lfe Ls Rs Tsl Tsr. More...
const SpeakerArrangement | k81MPEG3D
| L R Lfe Ls Rs Tfl Tfc Tfr Bfc. More...
const SpeakerArrangement | k90
| L R C Ls Rs Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k50_4 = k90
const SpeakerArrangement | k91
| L R C Lfe Ls Rs Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k51_4 = k91
const SpeakerArrangement | k71_2
| L R C Lfe Ls Rs Sl Sr Tsl Tsr. More...
const SpeakerArrangement | k91Atmos = k71_2
const SpeakerArrangement | k100
| L R C Ls Rs Tc Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k101
| L R C Lfe Ls Rs Tc Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k101MPEG3D = k101
const SpeakerArrangement | k102
| L R C Lfe Ls Rs Tfl Tfc Tfr Trl Trr Lfe2. More...
const SpeakerArrangement | k110
| L R C Ls Rs Tc Tfl Tfc Tfr Trl Trr. More...
const SpeakerArrangement | k111
| L R C Lfe Ls Rs Tc Tfl Tfc Tfr Trl Trr. More...
const SpeakerArrangement | k70_4
| L R C Ls Rs Sl Sr Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k71_4
| L R C Lfe Ls Rs Sl Sr Tfl Tfr Trl Trr. More...
const SpeakerArrangement | k111MPEG3D = k71_4
const SpeakerArrangement | k122
| L R C Lfe Ls Rs Lc Rc Tfl Tfc Tfr Trl Trr Lfe2. More...
const SpeakerArrangement | k130
| L R C Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr. More...
const SpeakerArrangement | k131
| L R C Lfe Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr. More...
const SpeakerArrangement | k140
| L R Ls Rs Sl Sr Tfl Tfr Trl Trr Bfl Bfr Brl Brr. More...
const SpeakerArrangement | k222
| L R C Lfe Ls Rs Lc Rc Cs Sl Sr Tc Tfl Tfc Tfr Trl Trc Trr Lfe2 Tsl Tsr Bfl Bfc Bfr. More...
const CString | kStringEmpty = ""
| Speaker Arrangement String Representation. More...
const CString | kStringMono = "Mono"
const CString | kStringStereo = "Stereo"
const CString | kStringStereoR = "Stereo (Ls Rs)"
const CString | kStringStereoC = "Stereo (Lc Rc)"
const CString | kStringStereoSide = "Stereo (Sl Sr)"
const CString | kStringStereoCLfe = "Stereo (C LFE)"
const CString | kStringStereoTF = "Stereo (Tfl Tfr)"
const CString | kStringStereoTS = "Stereo (Tsl Tsr)"
const CString | kStringStereoTR = "Stereo (Trl Trr)"
const CString | kStringStereoBF = "Stereo (Bfl Bfr)"
const CString | kString30Cine = "LRC"
const CString | kString30Music = "LRS"
const CString | kString31Cine = "LRC+LFE"
const CString | kString31Music = "LRS+LFE"
const CString | kString40Cine = "LRCS"
const CString | kString40Music = "Quadro"
const CString | kString41Cine = "LRCS+LFE"
const CString | kString41Music = "Quadro+LFE"
const CString | kString50 = "5.0"
const CString | kString51 = "5.1"
const CString | kString60Cine = "6.0 Cine"
const CString | kString60Music = "6.0 Music"
const CString | kString61Cine = "6.1 Cine"
const CString | kString61Music = "6.1 Music"
const CString | kString70Cine = "7.0 Cine (SDDS)"
const CString | kString70Music = "7.0 Music (Dolby)"
const CString | kString71Cine = "7.1 Cine (SDDS)"
const CString | kString71Music = "7.1 Music (Dolby)"
const CString | kString71CineTopCenter = "7.1 Cine Top Center"
const CString | kString71CineCenterHigh = "7.1 Cine Center High"
const CString | kString71CineFrontHigh = "7.1 Cine Front High"
const CString | kString71CineSideHigh = "7.1 Cine Side High"
const CString | kString71CineFullRear = "7.1 Cine Full Rear"
const CString | kString71Proximity = "7.1 Proximity"
const CString | kString80Cine = "8.0 Cine"
const CString | kString80Music = "8.0 Music"
const CString | kString80Cube = "8.0 Cube"
const CString | kString81Cine = "8.1 Cine"
const CString | kString81Music = "8.1 Music"
const CString | kString102 = "10.2 Experimental"
const CString | kString122 = "12.2"
const CString | kString50_4 = "5.0.4"
const CString | kString51_4 = "5.1.4"
const CString | kString91Atmos = "9.1 Dolby Atmos"
const CString | kString100 = "10.0 Auro-3D"
const CString | kString101 = "10.1 Auro-3D"
const CString | kString110 = "11.0 Auro-3D"
const CString | kString111 = "11.1 Auro-3D"
const CString | kString130 = "13.0 Auro-3D"
const CString | kString131 = "13.1 Auro-3D"
const CString | kString81MPEG = "8.1 MPEG"
const CString | kString70_4 = "7.0.4"
const CString | kString71_4 = "7.1.4"
const CString | kString140 = "14.0"
const CString | kString222 = "22.2"
const CString | kStringAmbi1stOrder = "1st Order Ambisonics"
const CString | kStringAmbi2cdOrder = "2nd Order Ambisonics"
const CString | kStringAmbi3rdOrder = "3rd Order Ambisonics"
const CString | kStringMonoS = "M"
| Speaker Arrangement String Representation with Speakers Name. More...
const CString | kStringStereoS = "L R"
const CString | kStringStereoRS = "Ls Rs"
const CString | kStringStereoCS = "Lc Rc"
const CString | kStringStereoSS = "Sl Sr"
const CString | kStringStereoCLfeS = "C LFE"
const CString | kStringStereoTFS = "Tfl Tfr"
const CString | kStringStereoTSS = "Tsl Tsr"
const CString | kStringStereoTRS = "Trl Trr"
const CString | kStringStereoBFS = "Bfl Bfr"
const CString | kString30CineS = "L R C"
const CString | kString30MusicS = "L R S"
const CString | kString31CineS = "L R C LFE"
const CString | kString31MusicS = "L R LFE S"
const CString | kString40CineS = "L R C S"
const CString | kString40MusicS = "L R Ls Rs"
const CString | kString41CineS = "L R C LFE S"
const CString | kString41MusicS = "L R LFE Ls Rs"
const CString | kString50S = "L R C Ls Rs"
const CString | kString51S = "L R C LFE Ls Rs"
const CString | kString60CineS = "L R C Ls Rs Cs"
const CString | kString60MusicS = "L R Ls Rs Sl Sr"
const CString | kString61CineS = "L R C LFE Ls Rs Cs"
const CString | kString61MusicS = "L R LFE Ls Rs Sl Sr"
const CString | kString70CineS = "L R C Ls Rs Lc Rc"
const CString | kString70MusicS = "L R C Ls Rs Sl Sr"
const CString | kString71CineS = "L R C LFE Ls Rs Lc Rc"
const CString | kString71MusicS = "L R C LFE Ls Rs Sl Sr"
const CString | kString80CineS = "L R C Ls Rs Lc Rc Cs"
const CString | kString80MusicS = "L R C Ls Rs Cs Sl Sr"
const CString | kString81CineS = "L R C LFE Ls Rs Lc Rc Cs"
const CString | kString81MusicS = "L R C LFE Ls Rs Cs Sl Sr"
const CString | kString80CubeS = "L R Ls Rs Tfl Tfr Trl Trr"
const CString | kString71CineTopCenterS = "L R C LFE Ls Rs Cs Tc"
const CString | kString71CineCenterHighS = "L R C LFE Ls Rs Cs Tfc"
const CString | kString71CineFrontHighS = "L R C LFE Ls Rs Tfl Tfl"
const CString | kString71CineSideHighS = "L R C LFE Ls Rs Tsl Tsl"
const CString | kString71CineFullRearS = "L R C LFE Ls Rs Lcs Rcs"
const CString | kString71ProximityS = "L R C LFE Ls Rs Pl Pr"
const CString | kString50_4S = "L R C Ls Rs Tfl Tfr Trl Trr"
const CString | kString51_4S = "L R C LFE Ls Rs Tfl Tfr Trl Trr"
const CString | kString91AtmosS = "L R C LFE Ls Rs Sl Sr Tsl Tsr"
const CString | kString100S = "L R C Ls Rs Tc Tfl Tfr Trl Trr"
const CString | kString101S = "L R C LFE Ls Rs Tc Tfl Tfr Trl Trr"
const CString | kString110S = "L R C Ls Rs Tc Tfl Tfc Tfr Trl Trr"
const CString | kString111S = "L R C LFE Ls Rs Tc Tfl Tfc Tfr Trl Trr"
const CString | kStringk70_4S = "L R C Ls Rs Sl Sr Tfl Tfr Trl Trr"
const CString | kStringk71_4S = "L R C LFE Ls Rs Sl Sr Tfl Tfr Trl Trr"
const CString | kString130S = "L R C Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr"
const CString | kString131S = "L R C LFE Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr"
const CString | kString102S = "L R C LFE Ls Rs Tfl Tfc Tfr Trl Trr LFE2"
const CString | kString122S = "L R C LFE Ls Rs Lc Rc Tfl Tfc Tfr Trl Trr LFE2"
const CString | kString81MPEGS = "L R LFE Ls Rs Tfl Tfc Tfr Bfc"
const CString | kString140S = "L R Ls Rs Sl Sr Tfl Tfr Trl Trr Bfl Bfr Brl Brr"
const CString | kString222S = "L R C LFE Ls Rs Lc Rc Cs Sl Sr Tc Tfl Tfc Tfr Trl Trc Trr LFE2 Tsl Tsr Bfl Bfc Bfr"
const CString | kStringAmbi1stOrderS = "0 1 2 3"
const CString | kStringAmbi2cdOrderS = "0 1 2 3 4 5 6 7 8"
const CString | kStringAmbi3rdOrderS = "0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15"

## Detailed Description

A SpeakerArrangement is a bitset combination of speakers. For example:

const SpeakerArrangement kStereo = kSpeakerL | kSpeakerR; // => hex: 0x03 / binary: 0011.

## Function Documentation

int32 Steinberg::Vst::SpeakerArr::getChannelCount | ( | SpeakerArrangement | arr | ) |
| inline

Returns number of channels used in speaker arrangement.

int32 Steinberg::Vst::SpeakerArr::getSpeakerIndex | ( | Speaker | speaker,
|  | SpeakerArrangement | arrangement
| ) |  |
| inline

Returns the index of a given speaker in a speaker arrangement (-1 if speaker is not part of the arrangement).

Speaker Steinberg::Vst::SpeakerArr::getSpeaker | ( | const SpeakerArrangement & | arr,
|  | int32 | index
| ) |  |
| inline

Returns the speaker for a given index in a speaker arrangement (return 0 when out of range).

bool Steinberg::Vst::SpeakerArr::isSubsetOf | ( | const SpeakerArrangement & | arrSubSet,
|  | const SpeakerArrangement & | arr
| ) |  |
| inline

Returns true if arrSubSet is a subset speaker of arr (means each speaker of arrSubSet is included in arr).

bool Steinberg::Vst::SpeakerArr::isAuro | ( | const SpeakerArrangement & | arr | ) |
| inline

Returns true if arrangement is a Auro configuration.

bool Steinberg::Vst::SpeakerArr::isAmbisonics | ( | const SpeakerArrangement & | arr | ) |
| inline

Returns true if arrangement is a Auro configuration.

SpeakerArrangement Steinberg::Vst::SpeakerArr::getSpeakerArrangementFromString | ( | CString | arrStr | ) |
| inline

Returns the speaker arrangement associated to a string representation.

Returns kEmpty if no associated arrangement is known.

CString Steinberg::Vst::SpeakerArr::getSpeakerArrangementString | ( | SpeakerArrangement | arr,
|  | bool | withSpeakersName
| ) |  |
| inline

Returns the string representation of a given speaker arrangement.

Returns kStringEmpty if arr is unknown.

CString Steinberg::Vst::SpeakerArr::getSpeakerShortName | ( | const SpeakerArrangement & | arr,
|  | int32 | index
| ) |  |
| inline

Returns a CString representation of a given speaker in a given arrangement.

## Variable Documentation

const Speaker kSpeakerL = 1 << 0

Speaker Definitions.

Left (L)

const Speaker kSpeakerR = 1 << 1

Right (R)

const Speaker kSpeakerC = 1 << 2

Center (C)

const Speaker kSpeakerLfe = 1 << 3

Subbass (Lfe)

const Speaker kSpeakerLs = 1 << 4

Left Surround (Ls)

const Speaker kSpeakerRs = 1 << 5

Right Surround (Rs)

const Speaker kSpeakerLc = 1 << 6

Left of Center (Lc) - Front Left Center.

const Speaker kSpeakerRc = 1 << 7

Right of Center (Rc) - Front Right Center.

const Speaker kSpeakerS = 1 << 8

Surround (S)

const Speaker kSpeakerCs = kSpeakerS

Center of Surround (Cs) - Back Center - Surround (S)

const Speaker kSpeakerSl = 1 << 9

Side Left (Sl)

const Speaker kSpeakerSr = 1 << 10

Side Right (Sr)

const Speaker kSpeakerTc = 1 << 11

Top Center Over-head, Top Middle (Tc)

const Speaker kSpeakerTfl = 1 << 12

Top Front Left (Tfl)

const Speaker kSpeakerTfc = 1 << 13

Top Front Center (Tfc)

const Speaker kSpeakerTfr = 1 << 14

Top Front Right (Tfr)

const Speaker kSpeakerTrl = 1 << 15

Top Rear/Back Left (Trl)

const Speaker kSpeakerTrc = 1 << 16

Top Rear/Back Center (Trc)

const Speaker kSpeakerTrr = 1 << 17

Top Rear/Back Right (Trr)

const Speaker kSpeakerLfe2 = 1 << 18

Subbass 2 (Lfe2)

const Speaker kSpeakerM = 1 << 19

Mono (M)

const Speaker kSpeakerACN0 = (Speaker)1 << 20

Ambisonic ACN 0.

const Speaker kSpeakerACN1 = (Speaker)1 << 21

Ambisonic ACN 1.

const Speaker kSpeakerACN2 = (Speaker)1 << 22

Ambisonic ACN 2.

const Speaker kSpeakerACN3 = (Speaker)1 << 23

Ambisonic ACN 3.

const Speaker kSpeakerACN4 = (Speaker)1 << 38

Ambisonic ACN 4.

const Speaker kSpeakerACN5 = (Speaker)1 << 39

Ambisonic ACN 5.

const Speaker kSpeakerACN6 = (Speaker)1 << 40

Ambisonic ACN 6.

const Speaker kSpeakerACN7 = (Speaker)1 << 41

Ambisonic ACN 7.

const Speaker kSpeakerACN8 = (Speaker)1 << 42

Ambisonic ACN 8.

const Speaker kSpeakerACN9 = (Speaker)1 << 43

Ambisonic ACN 9.

const Speaker kSpeakerACN10 = (Speaker)1 << 44

Ambisonic ACN 10.

const Speaker kSpeakerACN11 = (Speaker)1 << 45

Ambisonic ACN 11.

const Speaker kSpeakerACN12 = (Speaker)1 << 46

Ambisonic ACN 12.

const Speaker kSpeakerACN13 = (Speaker)1 << 47

Ambisonic ACN 13.

const Speaker kSpeakerACN14 = (Speaker)1 << 48

Ambisonic ACN 14.

const Speaker kSpeakerACN15 = (Speaker)1 << 49

Ambisonic ACN 15.

const Speaker kSpeakerTsl = 1 << 24

Top Side Left (Tsl)

const Speaker kSpeakerTsr = 1 << 25

Top Side Right (Tsr)

const Speaker kSpeakerLcs = 1 << 26

Left of Center Surround (Lcs) - Back Left Center.

const Speaker kSpeakerRcs = 1 << 27

Right of Center Surround (Rcs) - Back Right Center.

const Speaker kSpeakerBfl = 1 << 28

Bottom Front Left (Bfl)

const Speaker kSpeakerBfc = 1 << 29

Bottom Front Center (Bfc)

const Speaker kSpeakerBfr = 1 << 30

Bottom Front Right (Bfr)

const Speaker kSpeakerPl = (Speaker)1 << 31

Proximity Left (Pl)

const Speaker kSpeakerPr = (Speaker)1 << 32

Proximity Right (Pr)

const Speaker kSpeakerBsl = (Speaker)1 << 33

Bottom Side Left (Bsl)

const Speaker kSpeakerBsr = (Speaker)1 << 34

Bottom Side Right (Bsr)

const Speaker kSpeakerBrl = (Speaker)1 << 35

Bottom Rear Left (Brl)

const Speaker kSpeakerBrc = (Speaker)1 << 36

Bottom Rear Center (Brc)

const Speaker kSpeakerBrr = (Speaker)1 << 37

Bottom Rear Right (Brr)

const SpeakerArrangement kEmpty = 0

Speaker Arrangement Definitions.

empty arrangement

const SpeakerArrangement kMono = kSpeakerM

M.

const SpeakerArrangement kStereo = kSpeakerL | kSpeakerR

L R.

const SpeakerArrangement kStereoSurround = kSpeakerLs | kSpeakerRs

Ls Rs.

const SpeakerArrangement kStereoCenter = kSpeakerLc | kSpeakerRc

Lc Rc.

const SpeakerArrangement kStereoSide = kSpeakerSl | kSpeakerSr

Sl Sr.

const SpeakerArrangement kStereoCLfe = kSpeakerC | kSpeakerLfe

C Lfe.

const SpeakerArrangement kStereoTF = kSpeakerTfl | kSpeakerTfr

Tfl Tfr.

const SpeakerArrangement kStereoTS = kSpeakerTsl | kSpeakerTsr

Tsl Tsr.

const SpeakerArrangement kStereoTR = kSpeakerTrl | kSpeakerTrr

Trl Trr.

const SpeakerArrangement kStereoBF = kSpeakerBfl | kSpeakerBfr

Bfl Bfr.

const SpeakerArrangement k30Cine = kSpeakerL | kSpeakerR | kSpeakerC

L R C.

const SpeakerArrangement k30Music = kSpeakerL | kSpeakerR | kSpeakerS

L R S.

const SpeakerArrangement k31Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe

L R C Lfe.

const SpeakerArrangement k31Music = kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerS

L R Lfe S.

const SpeakerArrangement k40Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerS

L R C S (LCRS)

const SpeakerArrangement k40Music = kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs

L R Ls Rs (Quadro)

const SpeakerArrangement k41Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerS

L R C Lfe S (LCRS+Lfe)

const SpeakerArrangement k41Music = kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerLs | kSpeakerRs

L R Lfe Ls Rs (Quadro+Lfe)

const SpeakerArrangement k50 = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs

L R C Ls Rs.

const SpeakerArrangement k51 = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs

L R C Lfe Ls Rs.

const SpeakerArrangement k60Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerCs

L R C Ls Rs Cs.

const SpeakerArrangement k60Music = kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr

L R Ls Rs Sl Sr.

const SpeakerArrangement k61Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs

L R C Lfe Ls Rs Cs.

const SpeakerArrangement k61Music = kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr

L R Lfe Ls Rs Sl Sr.

const SpeakerArrangement k70Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc

L R C Ls Rs Lc Rc.

const SpeakerArrangement k70Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr

L R C Ls Rs Sl Sr.

const SpeakerArrangement k71Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc

L R C Lfe Ls Rs Lc Rc.

const SpeakerArrangement k71CineFullFront = k71Cine

const SpeakerArrangement k71CineFullRear = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLcs | kSpeakerRcs

L R C Lfe Ls Rs Lcs Rcs.

const SpeakerArrangement k71Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr

L R C Lfe Ls Rs Sl Sr.

const SpeakerArrangement k71CineSideFill = k71Music

const SpeakerArrangement k71Proximity = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerPl | kSpeakerPr

L R C Lfe Ls Rs Pl Pr.

const SpeakerArrangement k80Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc | kSpeakerCs

L R C Ls Rs Lc Rc Cs.

const SpeakerArrangement k80Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerSl | kSpeakerSr

L R C Ls Rs Cs Sl Sr.

const SpeakerArrangement k81Cine = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc | kSpeakerCs

L R C Lfe Ls Rs Lc Rc Cs.

const SpeakerArrangement k81Music = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerSl | kSpeakerSr

L R C Lfe Ls Rs Cs Sl Sr.

const SpeakerArrangement kAmbi1stOrderACN = kSpeakerACN0 | kSpeakerACN1 | kSpeakerACN2 | kSpeakerACN3

First-Order with Ambisonic Channel Number (ACN) ordering and SN3D normalization.

const SpeakerArrangement kAmbi2cdOrderACN = kAmbi1stOrderACN | kSpeakerACN4 | kSpeakerACN5 | kSpeakerACN6 | kSpeakerACN7 | kSpeakerACN8

Second-Order with Ambisonic Channel Number (ACN) ordering and SN3D normalization.

const SpeakerArrangement kAmbi3rdOrderACN = kAmbi2cdOrderACN | kSpeakerACN9 | kSpeakerACN10 | kSpeakerACN11 | kSpeakerACN12 | kSpeakerACN13 | kSpeakerACN14 | kSpeakerACN15

Third-Order with Ambisonic Channel Number (ACN) ordering and SN3D normalization.

const SpeakerArrangement k80Cube = kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs | kSpeakerTfl| kSpeakerTfr| kSpeakerTrl | kSpeakerTrr

L R Ls Rs Tfl Tfr Trl Trr.

const SpeakerArrangement k71CineTopCenter = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerTc

L R C Lfe Ls Rs Cs Tc.

const SpeakerArrangement k71CineCenterHigh = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerCs | kSpeakerTfc

L R C Lfe Ls Rs Cs Tfc.

const SpeakerArrangement k71CineFrontHigh = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerTfl | kSpeakerTfr

L R C Lfe Ls Rs Tfl Tfr.

const SpeakerArrangement k71MPEG3D = k71CineFrontHigh

const SpeakerArrangement k71CineSideHigh = kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerTsl | kSpeakerTsr

L R C Lfe Ls Rs Tsl Tsr.

const SpeakerArrangement k81MPEG3D

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerLfe | kSpeakerLs | kSpeakerRs |
kSpeakerTfl | kSpeakerTfc | kSpeakerTfr | kSpeakerBfc
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerBfc
const Speaker kSpeakerBfc
Bottom Front Center (Bfc)
Definition: vstspeaker.h:85
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43

L R Lfe Ls Rs Tfl Tfc Tfr Bfc.

const SpeakerArrangement k90

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs |
kSpeakerTfl| kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53

L R C Ls Rs Tfl Tfr Trl Trr.

const SpeakerArrangement k50_4 = k90

const SpeakerArrangement k91

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs |
kSpeakerTfl| kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43

L R C Lfe Ls Rs Tfl Tfr Trl Trr.

const SpeakerArrangement k51_4 = k91

const SpeakerArrangement k71_2

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs |
kSpeakerRs | kSpeakerSl | kSpeakerSr | kSpeakerTsl | kSpeakerTsr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTsr
const Speaker kSpeakerTsr
Top Side Right (Tsr)
Definition: vstspeaker.h:80
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerTsl
const Speaker kSpeakerTsl
Top Side Left (Tsl)
Definition: vstspeaker.h:79
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50

L R C Lfe Ls Rs Sl Sr Tsl Tsr.

const SpeakerArrangement k91Atmos = k71_2

const SpeakerArrangement k100

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs |
kSpeakerTc | kSpeakerTfl | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Ls Rs Tc Tfl Tfr Trl Trr.

const SpeakerArrangement k101

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs |
kSpeakerTc | kSpeakerTfl | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Lfe Ls Rs Tc Tfl Tfr Trl Trr.

const SpeakerArrangement k101MPEG3D = k101

const SpeakerArrangement k102

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs |
kSpeakerTfl| kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr | kSpeakerLfe2
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerLfe2
const Speaker kSpeakerLfe2
Subbass 2 (Lfe2)
Definition: vstspeaker.h:59
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43

L R C Lfe Ls Rs Tfl Tfc Tfr Trl Trr Lfe2.

const SpeakerArrangement k110

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs |
kSpeakerTc | kSpeakerTfl | kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Ls Rs Tc Tfl Tfc Tfr Trl Trr.

const SpeakerArrangement k111

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs |
kSpeakerTc | kSpeakerTfl | kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Lfe Ls Rs Tc Tfl Tfc Tfr Trl Trr.

const SpeakerArrangement k70_4

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr |
kSpeakerTfl | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50

L R C Ls Rs Sl Sr Tfl Tfr Trl Trr.

const SpeakerArrangement k71_4

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr |
kSpeakerTfl | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50

L R C Lfe Ls Rs Sl Sr Tfl Tfr Trl Trr.

const SpeakerArrangement k111MPEG3D = k71_4

const SpeakerArrangement k122

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc |
kSpeakerTfl| kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr | kSpeakerLfe2
Steinberg::Vst::kSpeakerRc
const Speaker kSpeakerRc
Right of Center (Rc) - Front Right Center.
Definition: vstspeaker.h:47
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerLfe2
const Speaker kSpeakerLfe2
Subbass 2 (Lfe2)
Definition: vstspeaker.h:59
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerLc
const Speaker kSpeakerLc
Left of Center (Lc) - Front Left Center.
Definition: vstspeaker.h:46

L R C Lfe Ls Rs Lc Rc Tfl Tfc Tfr Trl Trr Lfe2.

const SpeakerArrangement k130

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr |
kSpeakerTc | kSpeakerTfl | kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr.

const SpeakerArrangement k131

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr |
kSpeakerTc | kSpeakerTfl | kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Lfe Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr.

const SpeakerArrangement k140

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerLs | kSpeakerRs | kSpeakerSl | kSpeakerSr |
kSpeakerTfl | kSpeakerTfr | kSpeakerTrl | kSpeakerTrr |
kSpeakerBfl | kSpeakerBfr | kSpeakerBrl | kSpeakerBrr
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerBfr
const Speaker kSpeakerBfr
Bottom Front Right (Bfr)
Definition: vstspeaker.h:86
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerBfl
const Speaker kSpeakerBfl
Bottom Front Left (Bfl)
Definition: vstspeaker.h:84
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerBrl
const Speaker kSpeakerBrl
Bottom Rear Left (Brl)
Definition: vstspeaker.h:93
Steinberg::Vst::kSpeakerBrr
const Speaker kSpeakerBrr
Bottom Rear Right (Brr)
Definition: vstspeaker.h:95
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50

L R Ls Rs Sl Sr Tfl Tfr Trl Trr Bfl Bfr Brl Brr.

const SpeakerArrangement k222

Initial value:
= kSpeakerL | kSpeakerR | kSpeakerC | kSpeakerLfe | kSpeakerLs | kSpeakerRs | kSpeakerLc | kSpeakerRc | kSpeakerCs | kSpeakerSl | kSpeakerSr |
kSpeakerTc | kSpeakerTfl | kSpeakerTfc | kSpeakerTfr | kSpeakerTrl | kSpeakerTrc | kSpeakerTrr | kSpeakerLfe2 | kSpeakerTsl | kSpeakerTsr |
kSpeakerBfl| kSpeakerBfc | kSpeakerBfr
Steinberg::Vst::kSpeakerRc
const Speaker kSpeakerRc
Right of Center (Rc) - Front Right Center.
Definition: vstspeaker.h:47
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:41
Steinberg::Vst::kSpeakerBfr
const Speaker kSpeakerBfr
Bottom Front Right (Bfr)
Definition: vstspeaker.h:86
Steinberg::Vst::kSpeakerCs
const Speaker kSpeakerCs
Center of Surround (Cs) - Back Center - Surround (S)
Definition: vstspeaker.h:49
Steinberg::Vst::kSpeakerLs
const Speaker kSpeakerLs
Left Surround (Ls)
Definition: vstspeaker.h:44
Steinberg::Vst::kSpeakerSr
const Speaker kSpeakerSr
Side Right (Sr)
Definition: vstspeaker.h:51
Steinberg::Vst::kSpeakerTsr
const Speaker kSpeakerTsr
Top Side Right (Tsr)
Definition: vstspeaker.h:80
Steinberg::Vst::kSpeakerTfr
const Speaker kSpeakerTfr
Top Front Right (Tfr)
Definition: vstspeaker.h:55
Steinberg::Vst::kSpeakerTrc
const Speaker kSpeakerTrc
Top Rear/Back Center (Trc)
Definition: vstspeaker.h:57
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:40
Steinberg::Vst::kSpeakerTrl
const Speaker kSpeakerTrl
Top Rear/Back Left (Trl)
Definition: vstspeaker.h:56
Steinberg::Vst::kSpeakerLfe2
const Speaker kSpeakerLfe2
Subbass 2 (Lfe2)
Definition: vstspeaker.h:59
Steinberg::Vst::kSpeakerBfl
const Speaker kSpeakerBfl
Bottom Front Left (Bfl)
Definition: vstspeaker.h:84
Steinberg::Vst::kSpeakerTfc
const Speaker kSpeakerTfc
Top Front Center (Tfc)
Definition: vstspeaker.h:54
Steinberg::Vst::kSpeakerTrr
const Speaker kSpeakerTrr
Top Rear/Back Right (Trr)
Definition: vstspeaker.h:58
Steinberg::Vst::kSpeakerRs
const Speaker kSpeakerRs
Right Surround (Rs)
Definition: vstspeaker.h:45
Steinberg::Vst::kSpeakerTsl
const Speaker kSpeakerTsl
Top Side Left (Tsl)
Definition: vstspeaker.h:79
Steinberg::Vst::kSpeakerBfc
const Speaker kSpeakerBfc
Bottom Front Center (Bfc)
Definition: vstspeaker.h:85
Steinberg::Vst::kSpeakerC
const Speaker kSpeakerC
Center (C)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerTfl
const Speaker kSpeakerTfl
Top Front Left (Tfl)
Definition: vstspeaker.h:53
Steinberg::Vst::kSpeakerLfe
const Speaker kSpeakerLfe
Subbass (Lfe)
Definition: vstspeaker.h:43
Steinberg::Vst::kSpeakerSl
const Speaker kSpeakerSl
Side Left (Sl)
Definition: vstspeaker.h:50
Steinberg::Vst::kSpeakerLc
const Speaker kSpeakerLc
Left of Center (Lc) - Front Left Center.
Definition: vstspeaker.h:46
Steinberg::Vst::kSpeakerTc
const Speaker kSpeakerTc
Top Center Over-head, Top Middle (Tc)
Definition: vstspeaker.h:52

L R C Lfe Ls Rs Lc Rc Cs Sl Sr Tc Tfl Tfc Tfr Trl Trc Trr Lfe2 Tsl Tsr Bfl Bfc Bfr.

const CString kStringEmpty = ""

Speaker Arrangement String Representation.

const CString kStringMono = "Mono"

const CString kStringStereo = "Stereo"

const CString kStringStereoR = "Stereo (Ls Rs)"

const CString kStringStereoC = "Stereo (Lc Rc)"

const CString kStringStereoSide = "Stereo (Sl Sr)"

const CString kStringStereoCLfe = "Stereo (C LFE)"

const CString kStringStereoTF = "Stereo (Tfl Tfr)"

const CString kStringStereoTS = "Stereo (Tsl Tsr)"

const CString kStringStereoTR = "Stereo (Trl Trr)"

const CString kStringStereoBF = "Stereo (Bfl Bfr)"

const CString kString30Cine = "LRC"

const CString kString30Music = "LRS"

const CString kString31Cine = "LRC+LFE"

const CString kString31Music = "LRS+LFE"

const CString kString40Cine = "LRCS"

const CString kString40Music = "Quadro"

const CString kString41Cine = "LRCS+LFE"

const CString kString41Music = "Quadro+LFE"

const CString kString50 = "5.0"

const CString kString51 = "5.1"

const CString kString60Cine = "6.0 Cine"

const CString kString60Music = "6.0 Music"

const CString kString61Cine = "6.1 Cine"

const CString kString61Music = "6.1 Music"

const CString kString70Cine = "7.0 Cine (SDDS)"

const CString kString70Music = "7.0 Music (Dolby)"

const CString kString71Cine = "7.1 Cine (SDDS)"

const CString kString71Music = "7.1 Music (Dolby)"

const CString kString71CineTopCenter = "7.1 Cine Top Center"

const CString kString71CineCenterHigh = "7.1 Cine Center High"

const CString kString71CineFrontHigh = "7.1 Cine Front High"

const CString kString71CineSideHigh = "7.1 Cine Side High"

const CString kString71CineFullRear = "7.1 Cine Full Rear"

const CString kString71Proximity = "7.1 Proximity"

const CString kString80Cine = "8.0 Cine"

const CString kString80Music = "8.0 Music"

const CString kString80Cube = "8.0 Cube"

const CString kString81Cine = "8.1 Cine"

const CString kString81Music = "8.1 Music"

const CString kString102 = "10.2 Experimental"

const CString kString122 = "12.2"

const CString kString50_4 = "5.0.4"

const CString kString51_4 = "5.1.4"

const CString kString91Atmos = "9.1 Dolby Atmos"

const CString kString100 = "10.0 Auro-3D"

const CString kString101 = "10.1 Auro-3D"

const CString kString110 = "11.0 Auro-3D"

const CString kString111 = "11.1 Auro-3D"

const CString kString130 = "13.0 Auro-3D"

const CString kString131 = "13.1 Auro-3D"

const CString kString81MPEG = "8.1 MPEG"

const CString kString70_4 = "7.0.4"

const CString kString71_4 = "7.1.4"

const CString kString140 = "14.0"

const CString kString222 = "22.2"

const CString kStringAmbi1stOrder = "1st Order Ambisonics"

const CString kStringAmbi2cdOrder = "2nd Order Ambisonics"

const CString kStringAmbi3rdOrder = "3rd Order Ambisonics"

const CString kStringMonoS = "M"

Speaker Arrangement String Representation with Speakers Name.

const CString kStringStereoS = "L R"

const CString kStringStereoRS = "Ls Rs"

const CString kStringStereoCS = "Lc Rc"

const CString kStringStereoSS = "Sl Sr"

const CString kStringStereoCLfeS = "C LFE"

const CString kStringStereoTFS = "Tfl Tfr"

const CString kStringStereoTSS = "Tsl Tsr"

const CString kStringStereoTRS = "Trl Trr"

const CString kStringStereoBFS = "Bfl Bfr"

const CString kString30CineS = "L R C"

const CString kString30MusicS = "L R S"

const CString kString31CineS = "L R C LFE"

const CString kString31MusicS = "L R LFE S"

const CString kString40CineS = "L R C S"

const CString kString40MusicS = "L R Ls Rs"

const CString kString41CineS = "L R C LFE S"

const CString kString41MusicS = "L R LFE Ls Rs"

const CString kString50S = "L R C Ls Rs"

const CString kString51S = "L R C LFE Ls Rs"

const CString kString60CineS = "L R C Ls Rs Cs"

const CString kString60MusicS = "L R Ls Rs Sl Sr"

const CString kString61CineS = "L R C LFE Ls Rs Cs"

const CString kString61MusicS = "L R LFE Ls Rs Sl Sr"

const CString kString70CineS = "L R C Ls Rs Lc Rc"

const CString kString70MusicS = "L R C Ls Rs Sl Sr"

const CString kString71CineS = "L R C LFE Ls Rs Lc Rc"

const CString kString71MusicS = "L R C LFE Ls Rs Sl Sr"

const CString kString80CineS = "L R C Ls Rs Lc Rc Cs"

const CString kString80MusicS = "L R C Ls Rs Cs Sl Sr"

const CString kString81CineS = "L R C LFE Ls Rs Lc Rc Cs"

const CString kString81MusicS = "L R C LFE Ls Rs Cs Sl Sr"

const CString kString80CubeS = "L R Ls Rs Tfl Tfr Trl Trr"

const CString kString71CineTopCenterS = "L R C LFE Ls Rs Cs Tc"

const CString kString71CineCenterHighS = "L R C LFE Ls Rs Cs Tfc"

const CString kString71CineFrontHighS = "L R C LFE Ls Rs Tfl Tfl"

const CString kString71CineSideHighS = "L R C LFE Ls Rs Tsl Tsl"

const CString kString71CineFullRearS = "L R C LFE Ls Rs Lcs Rcs"

const CString kString71ProximityS = "L R C LFE Ls Rs Pl Pr"

const CString kString50_4S = "L R C Ls Rs Tfl Tfr Trl Trr"

const CString kString51_4S = "L R C LFE Ls Rs Tfl Tfr Trl Trr"

const CString kString91AtmosS = "L R C LFE Ls Rs Sl Sr Tsl Tsr"

const CString kString100S = "L R C Ls Rs Tc Tfl Tfr Trl Trr"

const CString kString101S = "L R C LFE Ls Rs Tc Tfl Tfr Trl Trr"

const CString kString110S = "L R C Ls Rs Tc Tfl Tfc Tfr Trl Trr"

const CString kString111S = "L R C LFE Ls Rs Tc Tfl Tfc Tfr Trl Trr"

const CString kStringk70_4S = "L R C Ls Rs Sl Sr Tfl Tfr Trl Trr"

const CString kStringk71_4S = "L R C LFE Ls Rs Sl Sr Tfl Tfr Trl Trr"

const CString kString130S = "L R C Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr"

const CString kString131S = "L R C LFE Ls Rs Sl Sr Tc Tfl Tfc Tfr Trl Trr"

const CString kString102S = "L R C LFE Ls Rs Tfl Tfc Tfr Trl Trr LFE2"

const CString kString122S = "L R C LFE Ls Rs Lc Rc Tfl Tfc Tfr Trl Trr LFE2"

const CString kString81MPEGS = "L R LFE Ls Rs Tfl Tfc Tfr Bfc"

const CString kString140S = "L R Ls Rs Sl Sr Tfl Tfr Trl Trr Bfl Bfr Brl Brr"

const CString kString222S = "L R C LFE Ls Rs Lc Rc Cs Sl Sr Tc Tfl Tfc Tfr Trl Trc Trr LFE2 Tsl Tsr Bfl Bfc Bfr"

const CString kStringAmbi1stOrderS = "0 1 2 3"

const CString kStringAmbi2cdOrderS = "0 1 2 3 4 5 6 7 8"

const CString kStringAmbi3rdOrderS = "0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15"

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.